<?php
  $env="local";

  switch($env){
    case "local":
      $domain="test-sites.local";
      define("ROOT_URL", "http://" . $domain);
      define("ROOT_DIR", "/websites/" . $domain . "/public_html/");
      break;
    case "live":
      $domain="sld-web-healthcheck.org";
      define("ROOT_URL", "http://" . $domain);
      define("ROOT_DIR", "/home/web_health/public_html");
      break;
    default:
      echo '<h3 style="color:red">The Environment <u>' . $env . '</u> is no declared!</h3>';
      die;
  }

  //WEBSITE CONFIG
  define('WEBSITE_NAME', "SLD WEB HEALTH CHECK");

  //SSL CONFIG
  define('SSL_WARNING_DAYS', 10);
  define('SSL_CRITICAL_DAYS', 5);


  //FOLDERS
  define("FUNC_FOLD", ROOT_DIR . "functions/");
  define("TEMP_FOLD", ROOT_DIR . "template/");
  define("PROCESS_FOLD", ROOT_DIR . "process/");
  define("ASSET_FOLD", ROOT_DIR . "assets/");
  define("CSS_FOLD", ASSET_FOLD . "css/");
  define("FONTS_FOLD", ASSET_FOLD . "fonts/");
  define("IMG_FOLD", ASSET_FOLD . "img/");
  define("JS_FOLD", ASSET_FOLD . "js/");

  //URL-FILES
  define("STYLE_MAIN", ROOT_URL . "/assets/css/style.css");
  define("STYLE_FONT", ROOT_URL . "/assets/css/fonts.css");
  define("STYLE_VAR", ROOT_URL . "/assets/css/variables.css");
  define("STYLE_ANIM", ROOT_URL . "/assets/css/animations.css");

  //FILES
  define("MAIN_FUNCTION", FUNC_FOLD ."main.php");
  define("JSON_WEB_LIST", ROOT_DIR . "web_list.json");
  define("JSON_WEB_CHECK", ROOT_DIR . "web_check.json");



  include(MAIN_FUNCTION);


                                                                                                                      
?>